<?php

namespace Fgm\Drupal\Composer;


use Composer\Plugin\Capability\CommandProvider;

class BuilderCommandProvider implements CommandProvider
{

    /**
     * @var \Composer\Composer
     */
    protected $composer;

    /**
     * @var \Composer\IO\IOInterface
     */
    protected $io;

    /**
     * An instance of the plugin instantiated not-as-a-command.
     *
     * @var self
     */
    protected $plugin;

    /**
     * BuilderCommandProvider constructor.
     *
     * @param array|NULL $args
     *   Guaranteed to contain composer/io/plugin as per CommandProvider.
     */
    public function __construct(array $args = null)
    {
        $this->composer = $args['composer'];
        $this->io = $args['io'];
        $this->plugin = $args['plugin'];
    }

    /**
     * {@inheritdoc}
     */
    public function getCommands()
    {
        return [
        new BuildSettingsCommand(),
        ];
    }
}
